﻿var layers = app.project.activeItem.selectedLayers;
var baseLayer = layers[0];

for (var i = 1; i<7;i++){
	baseLayer.duplicate()
}

var seventhLayer = app.project.activeItem.layer(1);
seventhLayer.name = "7th_Glow";
var sixthLayer = app.project.activeItem.layer(2);
sixthLayer.name = "6th_Glow";
var fifthLayer = app.project.activeItem.layer(3);
fifthLayer.name = "5th_Glow";
var fourthLayer = app.project.activeItem.layer(4);
fourthLayer.name = "4th_Glow";
var thirdLayer = app.project.activeItem.layer(5);
thirdLayer.name = "3rd_Glow";
var secondLayer = app.project.activeItem.layer(6);
secondLayer.name = "2nd_Glow";
var firstLayer = app.project.activeItem.layer(7);
firstLayer.name = "1st_Glow";

LayerCollection.prototype.addAdjustment = function(){
    var color = [1,1,1];
    var  name = "Blur_control";
    var n = this.addSolid(color,name,100,100,1,1);
    var comp = n.containingComp;
    n.outPoint = comp.duration;
    n.adjustmentLayer = true;
    n.source.width = comp.width;
    n.source.height = comp.height;
    n.source.pixelAspect = comp.pixelAspect;
    return n;
    }

var firstComp = app.project.activeItem;
firstComp.layers.addAdjustment();
var BlurLy = app.project.activeItem.layer(1);

LayerCollection.prototype.addAdjustment = function(){
    var color = [1,1,1];
    var  name = "Brightness_control";
    var n = this.addSolid(color,name,100,100,1,1);
    var comp = n.containingComp;
    n.outPoint = comp.duration;
    n.adjustmentLayer = true;
    n.source.width = comp.width;
    n.source.height = comp.height;
    n.source.pixelAspect = comp.pixelAspect;
    return n;
    }

firstComp.layers.addAdjustment();
var BrightnessLy = app.project.activeItem.layer(1);

LayerCollection.prototype.addAdjustment = function(){
    var color = [1,1,1];
    var  name = "Saturation_control";
    var n = this.addSolid(color,name,100,100,1,1);
    var comp = n.containingComp;
    n.outPoint = comp.duration;
    n.adjustmentLayer = true;
    n.source.width = comp.width;
    n.source.height = comp.height;
    n.source.pixelAspect = comp.pixelAspect;
    return n;
    }

firstComp.layers.addAdjustment();
var SatuLy = app.project.activeItem.layer(1);


BlurLy("Effects").addProperty("ADBE Slider Control");
BlurLy("Effects").property("ADBE Slider Control")(1).setValue(5);

BrightnessLy("Effects").addProperty("ADBE Slider Control");
BrightnessLy("Effects").property("ADBE Slider Control")(1).setValue(0);

SatuLy("Effects").addProperty("ADBE Slider Control");
SatuLy("Effects").property("ADBE Slider Control")(1).setValue(0);


firstLayer("Effects").addProperty("ADBE Fast Blur");
firstLayer("Effects").property("ADBE Fast Blur")(1).expression = 'thisComp.layer("Blur_control").effect("ADBE Slider Control")(1)*0.1';
firstLayer("Effects").property("ADBE Fast Blur")(3).setValue(true);

firstLayer("Effects").addProperty("ADBE Exposure2");
firstLayer("Effects").property("ADBE Exposure2")(3).expression = 'thisComp.layer("Brightness_control").effect("ADBE Slider Control")(1)*0.01';

firstLayer("Effects").addProperty("ADBE Color Balance (HLS)");
firstLayer("Effects").property("ADBE Color Balance (HLS)")(3).expression = 'thisComp.layer("Saturation_control").effect("ADBE Slider Control")(1)*0.5';

firstLayer.blendingMode = BlendingMode.ADD;


secondLayer("Effects").addProperty("ADBE Fast Blur");
secondLayer("Effects").property("ADBE Fast Blur")(1).expression = 'thisComp.layer("1st_Glow").effect("ADBE Fast Blur")(1)*2';
secondLayer("Effects").property("ADBE Fast Blur")(3).setValue(true);

secondLayer("Effects").addProperty("ADBE Exposure2");
secondLayer("Effects").property("ADBE Exposure2")(3).expression = 'if(thisComp.layer("1st_Glow").effect("ADBE Exposure2")(3) < 0){thisComp.layer("1st_Glow").effect("ADBE Exposure2")(3)*1.25}else{thisComp.layer("1st_Glow").effect("ADBE Exposure2")(3)*0.8}';

secondLayer("Effects").addProperty("ADBE Color Balance (HLS)");
secondLayer("Effects").property("ADBE Color Balance (HLS)")(3).expression = 'if(thisComp.layer("1st_Glow").effect("ADBE Color Balance (HLS)")(3) > 0){thisComp.layer("1st_Glow").effect("ADBE Color Balance (HLS)")(3)*1.25}else{thisComp.layer("1st_Glow").effect("ADBE Color Balance (HLS)")(3)*0.8}';

secondLayer.blendingMode = BlendingMode.ADD;


thirdLayer("Effects").addProperty("ADBE Fast Blur");
thirdLayer("Effects").property("ADBE Fast Blur")(1).expression = 'thisComp.layer("2nd_Glow").effect("ADBE Fast Blur")(1)*2';
thirdLayer("Effects").property("ADBE Fast Blur")(3).setValue(true);

thirdLayer("Effects").addProperty("ADBE Exposure2");
thirdLayer("Effects").property("ADBE Exposure2")(3).expression = 'if(thisComp.layer("2nd_Glow").effect("ADBE Exposure2")(3) < 0){thisComp.layer("2nd_Glow").effect("ADBE Exposure2")(3)*1.25}else{thisComp.layer("2nd_Glow").effect("ADBE Exposure2")(3)*0.8}';

thirdLayer("Effects").addProperty("ADBE Color Balance (HLS)");
thirdLayer("Effects").property("ADBE Color Balance (HLS)")(3).expression = 'if(thisComp.layer("2nd_Glow").effect("ADBE Color Balance (HLS)")(3) > 0){thisComp.layer("2nd_Glow").effect("ADBE Color Balance (HLS)")(3)*1.25}else{thisComp.layer("2nd_Glow").effect("ADBE Color Balance (HLS)")(3)*0.8}';

thirdLayer.blendingMode = BlendingMode.SCREEN;


fourthLayer("Effects").addProperty("ADBE Fast Blur");
fourthLayer("Effects").property("ADBE Fast Blur")(1).expression = 'thisComp.layer("3rd_Glow").effect("ADBE Fast Blur")(1)*2';
fourthLayer("Effects").property("ADBE Fast Blur")(3).setValue(true);

fourthLayer("Effects").addProperty("ADBE Exposure2");
fourthLayer("Effects").property("ADBE Exposure2")(3).expression = 'if(thisComp.layer("3rd_Glow").effect("ADBE Exposure2")(3) < 0){thisComp.layer("3rd_Glow").effect("ADBE Exposure2")(3)*1.25}else{thisComp.layer("3rd_Glow").effect("ADBE Exposure2")(3)*0.8}';

fourthLayer("Effects").addProperty("ADBE Color Balance (HLS)");
fourthLayer("Effects").property("ADBE Color Balance (HLS)")(3).expression = 'if(thisComp.layer("3rd_Glow").effect("ADBE Color Balance (HLS)")(3) > 0){thisComp.layer("3rd_Glow").effect("ADBE Color Balance (HLS)")(3)*1.25}else{thisComp.layer("3rd_Glow").effect("ADBE Color Balance (HLS)")(3)*0.8}';

fourthLayer.blendingMode = BlendingMode.SCREEN;


fifthLayer("Effects").addProperty("ADBE Fast Blur");
fifthLayer("Effects").property("ADBE Fast Blur")(1).expression = 'thisComp.layer("4th_Glow").effect("ADBE Fast Blur")(1)*2';
fifthLayer("Effects").property("ADBE Fast Blur")(3).setValue(true);

fifthLayer("Effects").addProperty("ADBE Exposure2");
fifthLayer("Effects").property("ADBE Exposure2")(3).expression = 'if(thisComp.layer("4th_Glow").effect("ADBE Exposure2")(3) < 0){thisComp.layer("4th_Glow").effect("ADBE Exposure2")(3)*1.25}else{thisComp.layer("4th_Glow").effect("ADBE Exposure2")(3)*0.8}';

fifthLayer("Effects").addProperty("ADBE Color Balance (HLS)");
fifthLayer("Effects").property("ADBE Color Balance (HLS)")(3).expression = 'if(thisComp.layer("4th_Glow").effect("ADBE Color Balance (HLS)")(3) > 0){thisComp.layer("4th_Glow").effect("ADBE Color Balance (HLS)")(3)*1.25}else{thisComp.layer("4th_Glow").effect("ADBE Color Balance (HLS)")(3)*0.8}';

fifthLayer.blendingMode = BlendingMode.SCREEN;


sixthLayer("Effects").addProperty("ADBE Fast Blur");
sixthLayer("Effects").property("ADBE Fast Blur")(1).expression = 'thisComp.layer("5th_Glow").effect("ADBE Fast Blur")(1)*2';
sixthLayer("Effects").property("ADBE Fast Blur")(3).setValue(true);

sixthLayer("Effects").addProperty("ADBE Exposure2");
sixthLayer("Effects").property("ADBE Exposure2")(3).expression = 'if(thisComp.layer("5th_Glow").effect("ADBE Exposure2")(3) < 0){thisComp.layer("5th_Glow").effect("ADBE Exposure2")(3)*1.25}else{thisComp.layer("5th_Glow").effect("ADBE Exposure2")(3)*0.8}';

sixthLayer("Effects").addProperty("ADBE Color Balance (HLS)");
sixthLayer("Effects").property("ADBE Color Balance (HLS)")(3).expression = 'if(thisComp.layer("5th_Glow").effect("ADBE Color Balance (HLS)")(3) > 0){thisComp.layer("5th_Glow").effect("ADBE Color Balance (HLS)")(3)*1.25}else{thisComp.layer("5th_Glow").effect("ADBE Color Balance (HLS)")(3)*0.8}';

sixthLayer.blendingMode = BlendingMode.SCREEN;


seventhLayer("Effects").addProperty("ADBE Fast Blur");
seventhLayer("Effects").property("ADBE Fast Blur")(1).expression = 'thisComp.layer("6th_Glow").effect("ADBE Fast Blur")(1)*2';
seventhLayer("Effects").property("ADBE Fast Blur")(3).setValue(true);

seventhLayer("Effects").addProperty("ADBE Exposure2");
seventhLayer("Effects").property("ADBE Exposure2")(3).expression = 'if(thisComp.layer("6th_Glow").effect("ADBE Exposure2")(3) < 0){thisComp.layer("6th_Glow").effect("ADBE Exposure2")(3)*1.25}else{thisComp.layer("6th_Glow").effect("ADBE Exposure2")(3)*0.8}';

seventhLayer("Effects").addProperty("ADBE Color Balance (HLS)");
seventhLayer("Effects").property("ADBE Color Balance (HLS)")(3).expression = 'if(thisComp.layer("6th_Glow").effect("ADBE Color Balance (HLS)")(3) > 0){thisComp.layer("6th_Glow").effect("ADBE Color Balance (HLS)")(3)*1.25}else{thisComp.layer("6th_Glow").effect("ADBE Color Balance (HLS)")(3)*0.8}';

seventhLayer.blendingMode = BlendingMode.SCREEN;


